Bug 240536 - Endianness problem with bluetooth.BluetoothSocket().connect
Endianness problem with bluetooth.BluetoothSocket().connect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pybluez (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 07:04 EDT by Frank Arnold
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.9.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 14:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Arnold 2007-05-18 07:04:07 EDT
Description of problem:
I was playing around with the Sony Blue-ray Disc Remote and the following script:
http://ken.vs.ryu.googlepages.com/remote-version0.1.py

It failed to connect at line 63. Basically it's the following call:
bluetooth.BluetoothSocket(bluetooth.L2CAP).connect((address,19))

With hcidump I got a PSM value of 4864 instead of 19, and an error of course.
After changing the PSM value inside the script from 19 to 0x1300, it finally worked.

Version-Release number of selected component (if applicable):
pybluez-0.9.1-3.fc7

Additional info:
A new upstream version with a bugfix is available.
Comment 1 Fedora Update System 2007-06-21 16:01:23 EDT
pybluez-0.9.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2007-07-06 14:13:53 EDT
pybluez-0.9.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.